libsigc++: sigc::slot_list< T_slot > Struct Template Reference

libsigc++ 2.10.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::slot_list< T_slot > Struct Template Reference
Signals

STL-style list interface for sigc::signal#. More...

`#include <sigc++/signal.h>`

## Public Types
typedef slot_const_iterator< slot_type > | const_iterator
typedef const slot_type& | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef slot_iterator< slot_type > | iterator
typedef slot_type& | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef T_slot | slot_type

## Public Member Functions
| slot_list ()
| slot_list (internal::signal_impl* __list)
reference | back ()
const_reference | back () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
iterator | erase (iterator i)
iterator | erase (iterator first_, iterator last_)
reference | front ()
const_reference | front () const
iterator | insert (iterator i, const slot_type& slot_)
iterator | insert (iterator i, slot_type&& slot_)
void | pop_back ()
void | pop_front ()
void | push_back (const slot_type& c)
void | push_back (slot_type&& c)
void | push_front (const slot_type& c)
void | push_front (slot_type&& c)
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const

## Protected Attributes
internal::signal_impl* | list_

## Detailed Description

### template<class T_slot>
struct sigc::slot_list< T_slot >

STL-style list interface for sigc::signal#.

slot_list can be used to iterate over the list of slots that is managed by a signal. Slots can be added or removed from the list while existing iterators stay valid.

## Member Typedef Documentation

template <class T_slot >

typedef slot_const_iterator<slot_type> sigc::slot_list< T_slot >::const_iterator

template <class T_slot >

typedef const slot_type& sigc::slot_list< T_slot >::const_reference

template <class T_slot >

typedef std::reverse_iterator<const_iterator> sigc::slot_list< T_slot >::const_reverse_iterator

template <class T_slot >

typedef slot_iterator<slot_type> sigc::slot_list< T_slot >::iterator

template <class T_slot >

typedef slot_type& sigc::slot_list< T_slot >::reference

template <class T_slot >

typedef std::reverse_iterator<iterator> sigc::slot_list< T_slot >::reverse_iterator

template <class T_slot >

typedef T_slot sigc::slot_list< T_slot >::slot_type

## Constructor & Destructor Documentation

template <class T_slot >

sigc::slot_list< T_slot >::slot_list | ( |  | ) |
| inline

template <class T_slot >

sigc::slot_list< T_slot >::slot_list | ( | internal::signal_impl * | __list | ) |
| inlineexplicit

## Member Function Documentation

template <class T_slot >

reference sigc::slot_list< T_slot >::back | ( |  | ) |
| inline

template <class T_slot >

const_reference sigc::slot_list< T_slot >::back | ( |  | ) | const
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::begin | ( |  | ) |
| inline

template <class T_slot >

const_iterator sigc::slot_list< T_slot >::begin | ( |  | ) | const
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::end | ( |  | ) |
| inline

template <class T_slot >

const_iterator sigc::slot_list< T_slot >::end | ( |  | ) | const
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::erase | ( | iterator | i | ) |
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::erase | ( | iterator | first_,
|  | iterator | last_
| ) |  |
| inline

template <class T_slot >

reference sigc::slot_list< T_slot >::front | ( |  | ) |
| inline

template <class T_slot >

const_reference sigc::slot_list< T_slot >::front | ( |  | ) | const
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::insert | ( | iterator | i,
|  | const slot_type& | slot_
| ) |  |
| inline

template <class T_slot >

iterator sigc::slot_list< T_slot >::insert | ( | iterator | i,
|  | slot_type&& | slot_
| ) |  |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::pop_back | ( |  | ) |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::pop_front | ( |  | ) |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::push_back | ( | const slot_type& | c | ) |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::push_back | ( | slot_type&& | c | ) |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::push_front | ( | const slot_type& | c | ) |
| inline

template <class T_slot >

void sigc::slot_list< T_slot >::push_front | ( | slot_type&& | c | ) |
| inline

template <class T_slot >

reverse_iterator sigc::slot_list< T_slot >::rbegin | ( |  | ) |
| inline

template <class T_slot >

const_reverse_iterator sigc::slot_list< T_slot >::rbegin | ( |  | ) | const
| inline

template <class T_slot >

reverse_iterator sigc::slot_list< T_slot >::rend | ( |  | ) |
| inline

template <class T_slot >

const_reverse_iterator sigc::slot_list< T_slot >::rend | ( |  | ) | const
| inline

## Member Data Documentation

template <class T_slot >

internal::signal_impl* sigc::slot_list< T_slot >::list_
| protected